Bug 101366 - cron not running for users listed in nss_ldap but not in /etc/passwd
cron not running for users listed in nss_ldap but not in /etc/passwd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 07:39 EDT by Thomas Bridge
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 14:36:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Bridge 2003-07-31 07:39:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
nss_ldap is enabled on the server.   I have a user who is listed in nss_ldap, 
and is available on the local system.   When I try to establish a crontab for 
the user, this shows up in /var/log/cron

-bash-2.05b$ sudo grep noc /var/log/cron
Jul 28 16:13:17 localhost crontab[2776]: (root) BEGIN EDIT (noc) 
Jul 28 16:14:01 localhost crontab[2776]: (root) REPLACE (noc) 
Jul 28 16:14:01 localhost crontab[2776]: (root) END EDIT (noc) 
Jul 28 10:15:00 localhost crond[638]: (noc) ORPHAN (no passwd entry) 
Jul 30 07:25:00 localhost crond[638]: (noc) ORPHAN (no passwd entry) 
Jul 30 07:26:00 localhost crond[638]: (noc) ORPHAN (no passwd entry) 

The scheduled script does not appear to run.   I would expect a user who is 
available through nss_ldap to not need a /etc/passwd or /etc/shadow entry in 
order to run cron.

This also appears to be an issue in 7.x based installations.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create user in the LDAP directory 
2. Install crontab for user
3. Scripts don't run
    

Actual Results:  nothing ran.

Expected Results:  The script should have run.

Additional info:

A work around is to physically write an entry in /etc/passwd
Comment 1 Jason Vas Dias 2005-06-03 14:36:59 EDT
Just clearing out old bugs here.
This is now fixed with current versions of cron and nss_ldap 
in RHEL-3, RHEL-4, and Fedora 3 - 5 .

Note You need to log in before you can comment on or make changes to this bug.